//CFTTFile_AndroidDocs - [2020-04-13 11:57:46]
#ifndef _CFTTFILE_ANDROIDDOCS_H_
#define _CFTTFILE_ANDROIDDOCS_H_

#include "CFTTFile.h"
#include "CFTTFileSystem_Android.h"

/*

0026CC7C CFTTFile_AndroidDocs::CFTTFile_AndroidDocs(CFTTFileSystem_Android *,
                                                    char const*,
                                                    uint,
                                                    EFTTMemHeapID)
0026CCE0 CFTTFile_AndroidDocs::~CFTTFile_AndroidDocs()
0026CCFC CFTTFile_AndroidDocs::~CFTTFile_AndroidDocs()
0026CD0A CFTTFile_AndroidDocs::Read(void *,long long)
0026CD7A CFTTFile_AndroidDocs::Write(void const*,long long)
0026CDD4 CFTTFile_AndroidDocs::GetPos()
0026CDF2 CFTTFile_AndroidDocs::Seek(long long,int)
0026CE24 CFTTFile_AndroidDocs::GetAttributes()
0026CE28 CFTTFile_AndroidDocs::Close()
0026CE3E CFTTFile_AndroidDocs::IsOpen()
0026CE44 CFTTFile_AndroidDocs::GetAsyncHandler()
0026CE54 CFTTFile_AndroidDocs::GetModeFlags()
0026CE58 CFTTFile_AndroidDocs::RequestFlushWrites()

vptr_CFTTFile_AndroidDocs_329B40:
  CFTTFile_AndroidDocs::~CFTTFile_AndroidDocs()
  CFTTFile_AndroidDocs::~CFTTFile_AndroidDocs()
  CFTTFile_AndroidDocs::Read(void *,long long)
  CFTTFile_AndroidDocs::Write(void const*,long long)
  CFTTFile_AndroidDocs::GetPos()
  CFTTFile_AndroidDocs::Seek(long long,int)
  CFTTFile_AndroidDocs::GetAttributes()
  CFTTFile_AndroidDocs::Close()
  CFTTFile_AndroidDocs::IsOpen()
  CFTTFile::ReadAsync(void *,long long,long long,void *,CFTTAsyncEvent<TFTTFileAsyncEventData> *)
  CFTTFile::WriteAsync(void const*,long long,long long,void *,CFTTAsyncEvent<TFTTFileAsyncEventData> *)
  CFTTFile_AndroidDocs::GetAsyncHandler()
  CFTTFile_AndroidDocs::GetModeFlags()
  CFTTFile::GetMemoryMappedPos()
  CFTTFile::UseBufferedAccess()
  CFTTFile_AndroidDocs::RequestFlushWrites()

CFTTFile_AndroidDocs 0x30

v17 = operator new(0x30, a4, 0, a4);
result = CFTTFile_AndroidDocs::CFTTFile_AndroidDocs(v17, v4, v7, v6);

v4 CFTTFileSystem*
v7 char*
v6 int
*/

class CFTTFile_AndroidDocs : public CFTTFile {
public:
  CFTTFile_AndroidDocs(CFTTFileSystem_Android* pFileSystem,
                       char const* file,
                       uint dMod,
                       EFTTMemHeapID eHeapId);  //0026CC7C
  virtual ~CFTTFile_AndroidDocs();              //0026CCE0  0026CCFC

  virtual int64 Read(void* buf, int64 buflen);         //0026CD0A
  virtual int64 Write(void const* buf, int64 buflen);  //0026CD7A
  virtual int64 GetPos();                              //0026CDD4
  virtual int64 Seek(int64 dpos, int whence);          //0026CDF2
  virtual TFTTFileAttributes* GetAttributes();         //0026CE24
  virtual bool Close();                                //0026CE28
  virtual bool IsOpen();                               //0026CE3E
  virtual CFTTFile_AsyncHandler* GetAsyncHandler();    //0026CE44
  virtual int GetModeFlags();                          //0026CE54
  virtual bool RequestFlushWrites();                   //0026CE58

  bool bOpen_8;
  int32_t mod_C;
  int32_t field_10;
  CFTTFileSystem_Android* pFileSystem_14;
  TFTTFileAttributes attributes_18;
  FILE* file_28;
  int field_2C;
};

#endif  //_CFTTFILE_ANDROIDDOCS_H_